Home | All Classes | Grouped Classes | Index | Search

# Class CL_ComponentType

Component Type. More...

Derived from: none
Derived by: none
Group: GUI (Framework)

#include <ClanLib/gui.h>

Construction:

CL_ComponentType | Component Type Constructor

Attributes:

SOptionType |
component_types static | List of known component types.
get_options | Options for component type.
has_option | Has option
get_data_type |
get_default_value |
get_class_name |

Operations:

set_option | Sets an option's datatype and default value.
set_class_name | Sets the class name (ie "CL_Button") of a component type.
create_component | Creates a component of type 'component_type_name'.

Detailed description:

!group=GUI/Framework! !header=gui.h!
Questions or comments, write to the ClanLib mailing list.